IdealTree Class Reference

Objects of this class represents a monomial ideal. More...

`#include <IdealTree.h>`

## Classes

class | Node

## Public Member Functions

| IdealTree (const Ideal &ideal)
| ~IdealTree ()
bool | strictlyContains (const Exponent *term) const
size_t | getVarCount () const

## Private Attributes

unique_ptr< Ideal > | _storage
unique_ptr< Node > | _root

## Detailed Description

Objects of this class represents a monomial ideal.

The representation uses a tree that speeds up some operations compared to a flat list.

Todo
  : avoid unbounded recursion.

Definition at line 29 of file IdealTree.h.

## Constructor & Destructor Documentation

## IdealTree()

IdealTree::IdealTree | ( | const Ideal & | ideal | ) |

Definition at line 148 of file IdealTree.cpp.

## ~IdealTree()

IdealTree::~IdealTree | ( |  | ) |

Definition at line 156 of file IdealTree.cpp.

## Member Function Documentation

## getVarCount()

size_t IdealTree::getVarCount | ( |  | ) | const

Definition at line 166 of file IdealTree.cpp.

## strictlyContains()

bool IdealTree::strictlyContains | ( | const Exponent * | term | ) | const

Definition at line 161 of file IdealTree.cpp.

## Member Data Documentation

## _root

unique_ptr<Node> IdealTree::_root

private

Definition at line 41 of file IdealTree.h.

## _storage

unique_ptr<Ideal> IdealTree::_storage

private

Definition at line 40 of file IdealTree.h.

The documentation for this class was generated from the following files:

- src/IdealTree.h
- src/IdealTree.cpp